export class SourceBase {
    constructor() {
        this.mCoverPath = "";
        this.mTitle = "";
        this.mQuality = "";
        this.mForceQuality = false;
        this.nativeGetCoverPath = () => {
            return this.mCoverPath;
        };
        this.nativeSetCoverPath = (z35) => {
            this.mCoverPath = z35;
        };
        this.nativeGetTitle = () => {
            return this.mTitle;
        };
        this.nativeSetTitle = (y35) => {
            this.mTitle = y35;
        };
        this.nativeGetQuality = () => {
            return this.mQuality;
        };
        this.nativeIsForceQuality = () => {
            return this.mForceQuality;
        };
    }
    getCoverPath() {
        return this.mCoverPath;
    }
    setCoverPath(r35) {
        this.mCoverPath = r35;
    }
    getTitle() {
        return this.mTitle;
    }
    setTitle(q35) {
        this.mTitle = q35;
    }
    getQuality() {
        return this.mQuality;
    }
    isForceQuality() {
        return this.mForceQuality;
    }
}
